---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libgetclfld007.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x501D0, symBinAddr: 0x51B0, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x52110, symBinAddr: 0x70F0, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x52500, symBinAddr: 0x74E0, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x534A0, symBinAddr: 0x8480, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x534B0, symBinAddr: 0x8490, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4FE60, symBinAddr: 0x5080, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4FE64, symBinAddr: 0x5084, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4FE68, symBinAddr: 0x5088, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4FFB0, symBinAddr: 0x5090, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x50068, symBinAddr: 0x5148, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5006C, symBinAddr: 0x514C, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x50070, symBinAddr: 0x5150, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x50074, symBinAddr: 0x5154, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x50078, symBinAddr: 0x5158, symSize: 0x0 }
  - { offsetInCU: 0x8EEA, offset: 0x8EEA, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x50080, symBinAddr: 0x5160, symSize: 0x0 }
  - { offsetInCU: 0x8F73, offset: 0x8F73, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x50098, symBinAddr: 0x5178, symSize: 0x0 }
  - { offsetInCU: 0x8F8C, offset: 0x8F8C, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x500A0, symBinAddr: 0x5180, symSize: 0x0 }
  - { offsetInCU: 0x8FA5, offset: 0x8FA5, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x500A8, symBinAddr: 0x5188, symSize: 0x0 }
  - { offsetInCU: 0x8FBE, offset: 0x8FBE, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x500B0, symBinAddr: 0x5190, symSize: 0x0 }
  - { offsetInCU: 0x8FD8, offset: 0x8FD8, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x500B8, symBinAddr: 0x5198, symSize: 0x0 }
  - { offsetInCU: 0x90BE, offset: 0x90BE, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x50100, symBinAddr: 0x51A0, symSize: 0x0 }
  - { offsetInCU: 0x90D7, offset: 0x90D7, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x50108, symBinAddr: 0x51A8, symSize: 0x0 }
  - { offsetInCU: 0x9130, offset: 0x9130, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x870, symSize: 0x80 }
  - { offsetInCU: 0x91C5, offset: 0x91C5, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x7C0, symSize: 0xB0 }
  - { offsetInCU: 0x9220, offset: 0x9220, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x6C0, symSize: 0x100 }
  - { offsetInCU: 0x94B3, offset: 0x94B3, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x8F0, symSize: 0x220 }
  - { offsetInCU: 0x9698, offset: 0x9698, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0xB10, symSize: 0xA0 }
  - { offsetInCU: 0x974B, offset: 0x974B, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0xBB0, symSize: 0x110 }
  - { offsetInCU: 0x9841, offset: 0x9841, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0xCC0, symSize: 0x150 }
  - { offsetInCU: 0x9972, offset: 0x9972, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0xE10, symSize: 0x30 }
  - { offsetInCU: 0x9A1B, offset: 0x9A1B, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1C40, symBinAddr: 0xE40, symSize: 0x150 }
  - { offsetInCU: 0x9C13, offset: 0x9C13, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1D90, symBinAddr: 0xF90, symSize: 0x160 }
  - { offsetInCU: 0x9D9F, offset: 0x9D9F, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x2970, symBinAddr: 0x10F0, symSize: 0x1B0 }
  - { offsetInCU: 0x9FBA, offset: 0x9FBA, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2B20, symBinAddr: 0x12A0, symSize: 0xA0 }
  - { offsetInCU: 0xA089, offset: 0xA089, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2E90, symBinAddr: 0x1340, symSize: 0x20 }
  - { offsetInCU: 0xA0C0, offset: 0xA0C0, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2EB0, symBinAddr: 0x1360, symSize: 0x20 }
  - { offsetInCU: 0xA0F7, offset: 0xA0F7, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2ED0, symBinAddr: 0x1380, symSize: 0x20 }
  - { offsetInCU: 0xA266, offset: 0xA266, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3610, symBinAddr: 0x13A0, symSize: 0x1A0 }
  - { offsetInCU: 0xA584, offset: 0xA584, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DF0, symBinAddr: 0x1540, symSize: 0x80 }
  - { offsetInCU: 0xA64D, offset: 0xA64D, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E70, symBinAddr: 0x15C0, symSize: 0x6C0 }
  - { offsetInCU: 0xB1C3, offset: 0xB1C3, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA0F0, symBinAddr: 0x2730, symSize: 0xB0 }
  - { offsetInCU: 0xB23A, offset: 0xB23A, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x4530, symBinAddr: 0x1C80, symSize: 0x70 }
  - { offsetInCU: 0xB2D6, offset: 0xB2D6, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5280, symBinAddr: 0x1CF0, symSize: 0xA0 }
  - { offsetInCU: 0xB3B5, offset: 0xB3B5, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x60F0, symBinAddr: 0x1D90, symSize: 0x40 }
  - { offsetInCU: 0xB4AB, offset: 0xB4AB, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6130, symBinAddr: 0x1DD0, symSize: 0x2B0 }
  - { offsetInCU: 0xB851, offset: 0xB851, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x63E0, symBinAddr: 0x2080, symSize: 0xC0 }
  - { offsetInCU: 0xB997, offset: 0xB997, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x64A0, symBinAddr: 0x2140, symSize: 0x10 }
  - { offsetInCU: 0xBA59, offset: 0xBA59, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x64B0, symBinAddr: 0x2150, symSize: 0x240 }
  - { offsetInCU: 0xBD7B, offset: 0xBD7B, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9D10, symBinAddr: 0x2390, symSize: 0x40 }
  - { offsetInCU: 0xBE3F, offset: 0xBE3F, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9D90, symBinAddr: 0x23D0, symSize: 0x40 }
  - { offsetInCU: 0xC05C, offset: 0xC05C, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_GetClassFields_getclfld007_check, symObjAddr: 0x9DD0, symBinAddr: 0x2410, symSize: 0x310 }
  - { offsetInCU: 0xC596, offset: 0xC596, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_GetClassFields_getclfld007_getRes, symObjAddr: 0xA0E0, symBinAddr: 0x2720, symSize: 0x10 }
  - { offsetInCU: 0xC5CB, offset: 0xC5CB, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA1A0, symBinAddr: 0x27E0, symSize: 0x36A }
...
